// Bambino
// TAB FILE > help48.ino

//== HELP TEXT ==============================================

void printHelp()
{ Serial.println();
  Serial.println(F("'!' - use page3 Reacts for the next 'r', 'l', '?' or replay")); 
  Serial.println(F("'(' - start of Do"));
  Serial.println(F("')' - end of Do"));
  Serial.println(F("'0' - use page0 for the next Act")); 
  Serial.println(F("'Q',[Esc] - quit all"));
  Serial.println(F("'.' - quit playing or recording"));
  Serial.println(F("'1'-'8' the routine or Act to record or replay"));
  Serial.println(F("'9' - play Autorun act"));
  Serial.println(F("'F' - Forwards one step"));
  Serial.println(F("'B' - Backwards one step"));
  Serial.println(F("'R' - turn Right one step"));
  Serial.println(F("'L' - turn Left one step"));
  Serial.println(F("'H' - Halt with both feet together"));
  Serial.println(F("'V' - Voice, make a beep"));
  Serial.println(F("'S' - Stop/Start - disable/enable servos"));
  Serial.println(F("'U' - read Ultrasonic sensor and react"));
  Serial.println(F("'W' - read Whisker sensors and avoid obstacles"));
  Serial.println(F("'G' - read Beard sensors and avoid holes"));
  Serial.println(F("'A' - beAlive()   until quit"));
  Serial.println(F("'X' - Xplore()   until 'Q' or reset"));
  Serial.println(F("'E' - Experiment - user routine  until 'Q' or reset"));
  Serial.println(F("'vb','ve','vo' - choose sound: 'b' bip, 'e' whee, 'o' whoa"));
  Serial.println(F("'w', '1'-'9' - wait 1 - 9 seconds")); 
  Serial.println(F("'s', '1'-'9' set roll and pace speeds to the same")); 
  Serial.println(F("'su' - speedup, speed is increased by 1 up to max")); 
  Serial.println(F("'sd' - speed down, speed is divided by 2 down to 1")); 
  Serial.println(F("'sr', '1'-'9' set roll speed")); 
  Serial.println(F("'sp', '1'-'9' set pace speed")); 
  Serial.println(F("'sm' - set rollspeedmax, pacespeedmax to current speeds"));
  Serial.println(F("'srm' - set rollspeedmax to current rollspeed")); 
  Serial.println(F("'spm' - set pacespeedmax to current pacespeed")); 
  Serial.println(F("'t','a' - turn Away from leading foot")); 
  Serial.println(F("    'm' - turn Memory (same way as last turn"));
  Serial.println(F("    'o' - turn Other way from last time"));
  Serial.println(F("    'l' - turn towards Light"));
  Serial.println(F("    'd' - turn towards Dark"));
  Serial.println(F("    '@l' - turn until facing Light"));
  Serial.println(F("    '@d' - turn until facing Dark"));
  Serial.println(F("'b0' - reload cuurent behaviour to RAM BeHaves"));  
  Serial.println(F("'b','1'-'8' - set current default behaviour and copy to RAM BeHaves"));
  Serial.println(F("    's0' - save RAM BeHaves to current EEPROM Behaviour"));
  Serial.println(F("    's','1'-'8' - save current RAM BeHaviour to EEPROM Behaviour"));
  Serial.println(F("    'l','1'-'8' - load behaviour 1-8, at prompt enter data, eg bl4 prompt 30,85."));
  Serial.println(F("        '9' - load all behaviours with same data, eg bl9 prompt 22,B."));
  Serial.println(F("    '#','0'-'9' - robot group 0-9"));
  Serial.println(F("    '#','A'-'z'     - robot name A-z"));
  Serial.println(F("    'a','0'-'8' - set Autorun act, '0' = no autorun"));  
  Serial.println(F("    'a','9'     - set Autorun act to run when there is nothing else to do, ## turns it off"));    
  Serial.println(F("    'q' - Quiet - turn off status messages"));
  Serial.println(F("    'v','0','1' - verbose, light level reporting of sensors, 0=off, 1=on"));
  Serial.println(F("    'w0' - set walking off")); 
  Serial.println(F("    'w1' - set walking on"));   
  Serial.println(F("    'p','1'-'9' - paceby =2*cmnd - step length"));
  Serial.println(F("    't','1'-'9' - turnby =2*cmnd - step length in turns"));
  Serial.println(F("    'r','1'-'9' - rollby =2*cmnd - roll amount when stepping"));
  Serial.println(F("    'p+', '0'-'9' - degrees, alter paceC +ve in current behaviour in RAM"));
  Serial.println(F("    'p-', '0'-'9' - degrees, alter paceC -ve in current behaviour in RAM"));
  Serial.println(F("    'r+', '0'-'9' - degrees, alter rollC +ve in current behaviour in RAM"));
  Serial.println(F("    'r-', '0'-'9' - degrees, alter rollC -ve in current behaviour in RAM"));
  Serial.println(F("    'um+' - manually set SonarAwareAt"));
  Serial.println(F("    'um-' - manually set SonarTooNear"));
  Serial.println(F("    'u+','1'-'9' - set SonarAwareAt"));
  Serial.println(F("    'u-','1'-'9' - set SonarTooNear"));
  Serial.println(F("    'uc0' - Sonar distance in inches"));   
  Serial.println(F("    'uc1' - Sonar distance in centimetres"));      
  Serial.println(F("    'us' - save current Sonar settings to EEPROM"));
  Serial.println(F("    'G','0','1' - auto sense Ground, 0=off, 1=on"));
  Serial.println(F("    'W','0','1' - auto sense Whiskers, 0=off, 1=on"));
  Serial.println(F("    'U','0','1' - auto sense Ultrasonic, 0=off, 1=on"));
  Serial.println(F("    '$','0','1' - Automatically sense UWG before every command if reaction enabled, 0=off, 1=on"));
  Serial.println(F("    '@' - Adjust Servos")); 
  Serial.println(F("'r','1'-'8' - Record moves into EEPROM"));
  Serial.println(F("'c','1'-'8','1'-'8' -  copy one Act to another Act,  xy,x0y,0xy,0x0y"));
  Serial.println(F("'l','1'-'8' - load Act into EEPROM without playing it")); 
  Serial.println(F("'?','h' - print Help - these instructions"));
  Serial.println(F("    '1'-'8' - print moves in selected Act '1' - '8'"));
  Serial.println(F("    'a' - print all Acts"));
  Serial.println(F("    '?' - print all Acts"));
  Serial.println(F("    'd' - Dump out all acts to the PC")); 
  Serial.println(F("    'b' - print Behaviour - behaviour variables in RAM"));
  Serial.println(F("    'm' - print all Acts, Behaviour"));
  Serial.println(F("    '!' - print all ReActs"));
  Serial.println(F("    'B' - print all Behaviours in EEPROM"));
  Serial.println(F("'#','*' - message for all robots, robots silent"));
  Serial.println(F("    '0-9' - message for robot group 0-9, robots silent"));
  Serial.println(F("    'A-z' - message for robot name A-z in current group, other robots silent"));
  Serial.println(F("    '#' - (default) stop, obey commands and send messages"));    
  Serial.println(F("          useful to talk to an unknown robot or put all in the stopped state")); 
  Serial.println(F("    '<' - do default Act"));    
  Serial.println(F("    '>' - resume Act"));    
  Serial.println(F("    '?' - print all names and groups - delayed depending on name"));    
  Serial.println(F("    '.' - end # session"));    
  Serial.println(F("'*','i','M' - initialise EEPROM Mind, ignored if recording"));    
} 
//===========================================================
